Skip to main content

Initiate subscription request

Be invoked by Health Information Users (HIUs), patients, or users through the Personal Health Record (PHR) application to initiate a subscription request.

POST/api/hiecm/subscription-requests/v3/init

By using this API, individuals can start the process of subscribing to specific health information services or updates. This functionality is essential for enabling users to manage their health data subscriptions effectively, ensuring they receive timely and relevant health information.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Body

subscriptionobjectRequired
subscription.purposeobjectRequired
subscription.purpose.textstringRequired

One of Care ManagementBreak the GlassPublic HealthHealthcare PaymentDisease Specific Healthcare ResearchSelf Requested

subscription.purpose.codestringRequired

One of CAREMGTBTGPUBHLTHHPAYMTDSRCHPATRQT

subscription.purpose.refUristringRequired

The reference URL.Allows alpha numeric character and special characters like "^[-a-zA-Z0-9@:%._\\+~#=]{1,256}\\.[a-zA-Z0-9()]{1,6}\\b(?:[-a-zA-Z0-9()@:%_\\+.~#?&//=]*)$"

subscription.patientobjectRequired
subscription.patient.idstringRequired

The abha address of the patient. Must start with Alphanumeric . and _ in the middle and must be ending with @abdm or @sbx. Allows alpha numeric character and special characters like ^[a-zA-Z0-9][a-zA-Z0-9_.\\-!]+[a-zA-Z0-9]@(abdm|sbx)$

subscription.hiuobjectRequired
subscription.hiu.idstringRequired

The service ID of the health information user. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

subscription.hiu.namestring

The name of the health information user. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscription.hiu.typestring

The type of the health information user. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscription.hipsobject[]Required
subscription.hips.idstringRequired

The service ID of the health information provider. Allows alpha numeric character and special characters like [A-Z a-z 0-9]+[A-Z a-z 0-9 //_//-]*[A-Z a-z 0-9]$

subscription.hips.namestring

The name of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscription.hips.typestring

The type of the health information provider. Allows alphanumeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{0,255}$"

subscription.categoriesobject[]Required
subscription.periodobjectRequired

The date range between when the subscription will be active

subscription.period.fromstringRequired

UTC date time in ISO format. Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

subscription.period.tostringRequired

UTC date time in ISO format.Allows alpha numeric character and special characters like "\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}.\\d{3}Z$"

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-9999 - Unknown exception. May be returned either bare (ABDM-9999) or with a trailing ": " separator (ABDM-9999: ); match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
404

server cannot find the requested resource

Error codes for this module

500

Internal Server Error

Error codes for this module

timestampnumberRequired
pathstringRequired
statusintegerRequired
errorstringRequired

The error code and message, if any occurred.

requestIdstringRequired
503

Internal Server Error

Error codes for this module

codestringRequired

ABDM-1024 - Dependent service unavailable. May be returned either bare (ABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • After this call, ABDM posts This is a callback api for /api/hiecm/subscription-requests/v3/init. to /api/v3/hiu/hiecm/subscription-requests/on-init. Open the callback.